Package org.flowable.bpmn.model

# Class FormProperty

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FormProperty

All Implemented Interfaces:
  `HasExtensionAttributes`

public class FormProperty extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `datePattern`
  `protected String`
  `defaultExpression`
  `protected String`
  `expression`
  `protected List<FormValue>`
  `formValues`
  `protected String`
  `name`
  `protected boolean`
  `readable`
  `protected boolean`
  `required`
  `protected String`
  `type`
  `protected String`
  `variable`
  `protected boolean`
  `writeable`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormProperty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormProperty`
  `clone()`
  `String`
  `getDatePattern()`
  `String`
  `getDefaultExpression()`
  `String`
  `getExpression()`
  `List<FormValue>`
  `getFormValues()`
  `String`
  `getName()`
  `String`
  `getType()`
  `String`
  `getVariable()`
  `boolean`
  `isReadable()`
  `boolean`
  `isRequired()`
  `boolean`
  `isWriteable()`
  `void`
  `setDatePattern(String datePattern)`
  `void`
  `setDefaultExpression(String defaultExpression)`
  `void`
  `setExpression(String expression)`
  `void`
  `setFormValues(List<FormValue> formValues)`
  `void`
  `setName(String name)`
  `void`
  `setReadable(boolean readable)`
  `void`
  `setRequired(boolean required)`
  `void`
  `setType(String type)`
  `void`
  `setValues(FormProperty otherProperty)`
  `void`
  `setVariable(String variable)`
  `void`
  `setWriteable(boolean writeable)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### expression

    protected String expression

  - ### variable

    protected String variable

  - ### type

    protected String type

  - ### defaultExpression

    protected String defaultExpression

  - ### datePattern

    protected String datePattern

  - ### readable

    protected boolean readable

  - ### writeable

    protected boolean writeable

  - ### required

    protected boolean required

  - ### formValues

    protected List<FormValue> formValues

- ## Constructor Details

  - ### FormProperty

    public FormProperty()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getExpression

    public String getExpression()

  - ### setExpression

    public void setExpression(String expression)

  - ### getVariable

    public String getVariable()

  - ### setVariable

    public void setVariable(String variable)

  - ### getType

    public String getType()

  - ### getDefaultExpression

    public String getDefaultExpression()

  - ### setDefaultExpression

    public void setDefaultExpression(String defaultExpression)

  - ### setType

    public void setType(String type)

  - ### getDatePattern

    public String getDatePattern()

  - ### setDatePattern

    public void setDatePattern(String datePattern)

  - ### isReadable

    public boolean isReadable()

  - ### setReadable

    public void setReadable(boolean readable)

  - ### isWriteable

    public boolean isWriteable()

  - ### setWriteable

    public void setWriteable(boolean writeable)

  - ### isRequired

    public boolean isRequired()

  - ### setRequired

    public void setRequired(boolean required)

  - ### getFormValues

    public List<FormValue> getFormValues()

  - ### setFormValues

    public void setFormValues(List<FormValue> formValues)

  - ### clone

    public FormProperty clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(FormProperty otherProperty)